ARCH-CHROOT(8)

NUME
arch-chroot - comanda «chroot» îmbunătățită

SINOPSIS

arch-chroot [opțiuni] chroot-dir [comanda] [argumente...]

DESCRIERE

arch-chroot învăluie comanda chroot(1), asigurând în același timp disponibilitatea unor funcționalități importante, cum ar fi: montarea /dev/, /proc și a altor sisteme de fișiere API, sau expunerea resolv.conf(5) către chroot.

Dacă comanda nu este specificată, arch-chroot va lansa /bin/bash.

    Notă

    Directorul-chroot-țintă trebuie să fie un punct de montare. Acest lucru garantează că instrumente precum pacman(8) sau findmnt(8) au o ierarhie exactă a sistemelor de fișiere montate în chroot. În cazul în care ținta „chroot” nu este un punct de montare, puteți lega montarea directorului pe el însuși pentru a-l transforma într-un punct de montare, adică:

    mount --bind /directorul-dvs/chroot /directorul-dvs/chroot

OPȚIUNI

-N
    Rulează în modul „unshare” (nepartajat). Aceasta va utiliza unshare(1) pentru a crea un nou spațiu de montare și un nou spațiu de nume de utilizator, permițând utilizatorilor obișnuiți să creeze noi instalații de sistem.

-u <utilizator>[:grup]
    Specificați utilizatorul care nu este root și grupul opțional de utilizat.

-r
    Nu modifică „resolv.conf” în cadrul chroot-ului. Aceasta înseamnă că rezolvatorul ar putea să nu funcționeze în chroot, ceea ce ar putea fi starea necesară.

-h
    Afișează sintaxa și opțiunile liniei de comandă.

CONSULTAȚI ȘI

pacman(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.